%define name emelfm
%define version 0.9.2
%define release 3mdk

Summary: File manager using the two-panel design and Gtk+
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: File tools
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://emelfm.sourceforge.net/

Requires: gtk+ >= 1.2

%description
emelFM is a file manager that implements the popular two-panel design. It
features a simple GTK+ interface, a flexible filetyping scheme, and a built-in
command line for executing commands without opening an xterm.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_docdir
mkdir -p $RPM_BUILD_ROOT%_datadir/emelfm/plugins
mkdir -p $RPM_BUILD_ROOT%_datadir/locale/
make BIN_DIR=$RPM_BUILD_ROOT%{_bindir} DOC_DIR=$RPM_BUILD_ROOT%_docdir \
	PLUGINS_DIR=$RPM_BUILD_ROOT%_datadir/emelfm/plugins \
	LOCALEDIR=$RPM_BUILD_ROOT%_datadir/locale/ install

rm -rf $RPM_BUILD_ROOT%_docdir/help.txt

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/emelfm"\
title="Emelfm"\
longtitle="a GTK file manager"\
needs="x11"\
icon="file_tools_section.png"\
section="Applications/File tools"
EOF
) 

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc docs/help.txt
%{_bindir}/*
%{_libdir}/menu/*
%_datadir/emelfm
%doc README COPYING ChangeLog

%changelog
* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3mdk
- typo

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-2mdk
- icon

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- updated to 0.9.2

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-2mdk
- v0.7.2
- BM
- macros
* Mon Jun 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- new in contribs
- used srpm provided by Laurent Grawet <laurent.grawet@ibelgique.com>
